## org.apache.ivy.plugins.version
Class Match

    java.lang.Object
      org.apache.ivy.plugins.version.Match

    public class Match

extends java.lang.Object

Constructor Summary
`Match()`

Method Summary
`java.lang.String` `getArgs()`
`java.lang.String` `getMatcher()`
`java.lang.String` `getPattern()`
`Matcher` `getPatternMatcher(ModuleRevisionId askedMrid)`
`java.lang.String` `getRevision()`
`void` `setArgs(java.lang.String args)`
`void` `setMatcher(java.lang.String matcher)`
`void` `setPattern(java.lang.String pattern)`
`void` `setRevision(java.lang.String revision)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Match

    public Match()

Method Detail

### getArgs

    public java.lang.String getArgs()

### setArgs

    public void setArgs(java.lang.String args)

### getMatcher

    public java.lang.String getMatcher()

### setMatcher

    public void setMatcher(java.lang.String matcher)

### getPattern

    public java.lang.String getPattern()

### setPattern

    public void setPattern(java.lang.String pattern)

### getRevision

    public java.lang.String getRevision()

### setRevision

    public void setRevision(java.lang.String revision)

### getPatternMatcher

    public Matcher getPatternMatcher(ModuleRevisionId askedMrid)